/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.net.URL;
/*     */ import java.rmi.RemoteException;
/*     */ import java.util.Enumeration;
/*     */ import java.util.Hashtable;
/*     */ import java.util.Vector;
/*     */ import javax.xml.namespace.QName;
/*     */ import org.apache.axis.AxisFault;
/*     */ import org.apache.axis.NoEndPointException;
/*     */ import org.apache.axis.client.Call;
/*     */ import org.apache.axis.client.Stub;
/*     */ import org.apache.axis.constants.Style;
/*     */ import org.apache.axis.constants.Use;
/*     */ import org.apache.axis.description.OperationDesc;
/*     */ import org.apache.axis.description.ParameterDesc;
/*     */ import org.apache.axis.encoding.DeserializerFactory;
/*     */ import org.apache.axis.encoding.XMLType;
/*     */ import org.apache.axis.encoding.ser.ArrayDeserializerFactory;
/*     */ import org.apache.axis.encoding.ser.ArraySerializerFactory;
/*     */ import org.apache.axis.encoding.ser.BeanDeserializerFactory;
/*     */ import org.apache.axis.encoding.ser.BeanSerializerFactory;
/*     */ import org.apache.axis.encoding.ser.EnumDeserializerFactory;
/*     */ import org.apache.axis.encoding.ser.EnumSerializerFactory;
/*     */ import org.apache.axis.encoding.ser.SimpleListDeserializerFactory;
/*     */ import org.apache.axis.encoding.ser.SimpleListSerializerFactory;
/*     */ import org.apache.axis.encoding.ser.SimpleSerializerFactory;
/*     */ import org.apache.axis.soap.SOAPConstants;
/*     */ 
/*     */ public class ReportSchedulerSoapBindingStub extends Stub implements ReportScheduler
/*     */ {
/*  32 */   private Vector cachedSerClasses = new Vector();
/*  33 */   private Vector cachedSerQNames = new Vector();
/*  34 */   private Vector cachedSerFactories = new Vector();
/*  35 */   private Vector cachedDeserFactories = new Vector();
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*  40 */   static OperationDesc[] _operations = new OperationDesc[7];
/*  41 */   static { _initOperationDesc1(); }
/*     */   
/*     */ 
/*     */ 
/*     */   private static void _initOperationDesc1()
/*     */   {
/*  47 */     OperationDesc oper = new OperationDesc();
/*  48 */     oper.setName("deleteJob");
/*  49 */     ParameterDesc param = new ParameterDesc(new QName("", "id"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "long"), Long.TYPE, false, false);
/*  50 */     oper.addParameter(param);
/*  51 */     oper.setReturnType(XMLType.AXIS_VOID);
/*  52 */     oper.setStyle(Style.RPC);
/*  53 */     oper.setUse(Use.ENCODED);
/*  54 */     _operations[0] = oper;
/*     */     
/*  56 */     oper = new OperationDesc();
/*  57 */     oper.setName("deleteJobs");
/*  58 */     param = new ParameterDesc(new QName("", "ids"), (byte)1, new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOf_xsd_long"), new long[0].getClass(), false, false);
/*  59 */     oper.addParameter(param);
/*  60 */     oper.setReturnType(XMLType.AXIS_VOID);
/*  61 */     oper.setStyle(Style.RPC);
/*  62 */     oper.setUse(Use.ENCODED);
/*  63 */     _operations[1] = oper;
/*     */     
/*  65 */     oper = new OperationDesc();
/*  66 */     oper.setName("getJob");
/*  67 */     param = new ParameterDesc(new QName("", "id"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "long"), Long.TYPE, false, false);
/*  68 */     oper.addParameter(param);
/*  69 */     oper.setReturnType(new QName("http://www.jasperforge.org/jasperserver/ws", "Job"));
/*  70 */     oper.setReturnClass(Job.class);
/*  71 */     oper.setReturnQName(new QName("", "getJobReturn"));
/*  72 */     oper.setStyle(Style.RPC);
/*  73 */     oper.setUse(Use.ENCODED);
/*  74 */     _operations[2] = oper;
/*     */     
/*  76 */     oper = new OperationDesc();
/*  77 */     oper.setName("scheduleJob");
/*  78 */     param = new ParameterDesc(new QName("", "job"), (byte)1, new QName("http://www.jasperforge.org/jasperserver/ws", "Job"), Job.class, false, false);
/*  79 */     oper.addParameter(param);
/*  80 */     oper.setReturnType(new QName("http://www.jasperforge.org/jasperserver/ws", "Job"));
/*  81 */     oper.setReturnClass(Job.class);
/*  82 */     oper.setReturnQName(new QName("", "scheduleJobReturn"));
/*  83 */     oper.setStyle(Style.RPC);
/*  84 */     oper.setUse(Use.ENCODED);
/*  85 */     _operations[3] = oper;
/*     */     
/*  87 */     oper = new OperationDesc();
/*  88 */     oper.setName("updateJob");
/*  89 */     param = new ParameterDesc(new QName("", "job"), (byte)1, new QName("http://www.jasperforge.org/jasperserver/ws", "Job"), Job.class, false, false);
/*  90 */     oper.addParameter(param);
/*  91 */     oper.setReturnType(new QName("http://www.jasperforge.org/jasperserver/ws", "Job"));
/*  92 */     oper.setReturnClass(Job.class);
/*  93 */     oper.setReturnQName(new QName("", "updateJobReturn"));
/*  94 */     oper.setStyle(Style.RPC);
/*  95 */     oper.setUse(Use.ENCODED);
/*  96 */     _operations[4] = oper;
/*     */     
/*  98 */     oper = new OperationDesc();
/*  99 */     oper.setName("getAllJobs");
/* 100 */     oper.setReturnType(new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOfJobSummary"));
/* 101 */     oper.setReturnClass(new JobSummary[0].getClass());
/* 102 */     oper.setReturnQName(new QName("", "getAllJobsReturn"));
/* 103 */     oper.setStyle(Style.RPC);
/* 104 */     oper.setUse(Use.ENCODED);
/* 105 */     _operations[5] = oper;
/*     */     
/* 107 */     oper = new OperationDesc();
/* 108 */     oper.setName("getReportJobs");
/* 109 */     param = new ParameterDesc(new QName("", "reportURI"), (byte)1, new QName("http://www.w3.org/2001/XMLSchema", "string"), String.class, false, false);
/* 110 */     oper.addParameter(param);
/* 111 */     oper.setReturnType(new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOfJobSummary"));
/* 112 */     oper.setReturnClass(new JobSummary[0].getClass());
/* 113 */     oper.setReturnQName(new QName("", "getReportJobsReturn"));
/* 114 */     oper.setStyle(Style.RPC);
/* 115 */     oper.setUse(Use.ENCODED);
/* 116 */     _operations[6] = oper;
/*     */   }
/*     */   
/*     */   public ReportSchedulerSoapBindingStub() throws AxisFault
/*     */   {
/* 121 */     this(null);
/*     */   }
/*     */   
/*     */   public ReportSchedulerSoapBindingStub(URL endpointURL, javax.xml.rpc.Service service) throws AxisFault {
/* 125 */     this(service);
/* 126 */     this.cachedEndpoint = endpointURL;
/*     */   }
/*     */   
/*     */   public ReportSchedulerSoapBindingStub(javax.xml.rpc.Service service) throws AxisFault {
/* 130 */     if (service == null) {
/* 131 */       this.service = new org.apache.axis.client.Service();
/*     */     } else {
/* 133 */       this.service = service;
/*     */     }
/* 135 */     ((org.apache.axis.client.Service)this.service).setTypeMappingVersion("1.2");
/*     */     
/*     */ 
/*     */ 
/* 139 */     Class beansf = BeanSerializerFactory.class;
/* 140 */     Class beandf = BeanDeserializerFactory.class;
/* 141 */     Class enumsf = EnumSerializerFactory.class;
/* 142 */     Class enumdf = EnumDeserializerFactory.class;
/* 143 */     Class arraysf = ArraySerializerFactory.class;
/* 144 */     Class arraydf = ArrayDeserializerFactory.class;
/* 145 */     Class simplesf = SimpleSerializerFactory.class;
/* 146 */     Class simpledf = org.apache.axis.encoding.ser.SimpleDeserializerFactory.class;
/* 147 */     Class simplelistsf = SimpleListSerializerFactory.class;
/* 148 */     Class simplelistdf = SimpleListDeserializerFactory.class;
/* 149 */     QName qName = new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOf_xsd_int");
/* 150 */     this.cachedSerQNames.add(qName);
/* 151 */     Class cls = new int[0].getClass();
/* 152 */     this.cachedSerClasses.add(cls);
/* 153 */     qName = new QName("http://www.w3.org/2001/XMLSchema", "int");
/* 154 */     QName qName2 = null;
/* 155 */     this.cachedSerFactories.add(new ArraySerializerFactory(qName, qName2));
/* 156 */     this.cachedDeserFactories.add(new ArrayDeserializerFactory());
/*     */     
/* 158 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOf_xsd_long");
/* 159 */     this.cachedSerQNames.add(qName);
/* 160 */     cls = new long[0].getClass();
/* 161 */     this.cachedSerClasses.add(cls);
/* 162 */     qName = new QName("http://www.w3.org/2001/XMLSchema", "long");
/* 163 */     qName2 = null;
/* 164 */     this.cachedSerFactories.add(new ArraySerializerFactory(qName, qName2));
/* 165 */     this.cachedDeserFactories.add(new ArrayDeserializerFactory());
/*     */     
/* 167 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOf_xsd_string");
/* 168 */     this.cachedSerQNames.add(qName);
/* 169 */     cls = new String[0].getClass();
/* 170 */     this.cachedSerClasses.add(cls);
/* 171 */     qName = new QName("http://www.w3.org/2001/XMLSchema", "string");
/* 172 */     qName2 = null;
/* 173 */     this.cachedSerFactories.add(new ArraySerializerFactory(qName, qName2));
/* 174 */     this.cachedDeserFactories.add(new ArrayDeserializerFactory());
/*     */     
/* 176 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOfJobParameter");
/* 177 */     this.cachedSerQNames.add(qName);
/* 178 */     cls = new JobParameter[0].getClass();
/* 179 */     this.cachedSerClasses.add(cls);
/* 180 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobParameter");
/* 181 */     qName2 = null;
/* 182 */     this.cachedSerFactories.add(new ArraySerializerFactory(qName, qName2));
/* 183 */     this.cachedDeserFactories.add(new ArrayDeserializerFactory());
/*     */     
/* 185 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "ArrayOfJobSummary");
/* 186 */     this.cachedSerQNames.add(qName);
/* 187 */     cls = new JobSummary[0].getClass();
/* 188 */     this.cachedSerClasses.add(cls);
/* 189 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobSummary");
/* 190 */     qName2 = null;
/* 191 */     this.cachedSerFactories.add(new ArraySerializerFactory(qName, qName2));
/* 192 */     this.cachedDeserFactories.add(new ArrayDeserializerFactory());
/*     */     
/* 194 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "CalendarDaysType");
/* 195 */     this.cachedSerQNames.add(qName);
/* 196 */     cls = CalendarDaysType.class;
/* 197 */     this.cachedSerClasses.add(cls);
/* 198 */     this.cachedSerFactories.add(enumsf);
/* 199 */     this.cachedDeserFactories.add(enumdf);
/*     */     
/* 201 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "IntervalUnit");
/* 202 */     this.cachedSerQNames.add(qName);
/* 203 */     cls = IntervalUnit.class;
/* 204 */     this.cachedSerClasses.add(cls);
/* 205 */     this.cachedSerFactories.add(enumsf);
/* 206 */     this.cachedDeserFactories.add(enumdf);
/*     */     
/* 208 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "Job");
/* 209 */     this.cachedSerQNames.add(qName);
/* 210 */     cls = Job.class;
/* 211 */     this.cachedSerClasses.add(cls);
/* 212 */     this.cachedSerFactories.add(beansf);
/* 213 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 215 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobCalendarTrigger");
/* 216 */     this.cachedSerQNames.add(qName);
/* 217 */     cls = JobCalendarTrigger.class;
/* 218 */     this.cachedSerClasses.add(cls);
/* 219 */     this.cachedSerFactories.add(beansf);
/* 220 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 222 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobMailNotification");
/* 223 */     this.cachedSerQNames.add(qName);
/* 224 */     cls = JobMailNotification.class;
/* 225 */     this.cachedSerClasses.add(cls);
/* 226 */     this.cachedSerFactories.add(beansf);
/* 227 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 229 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobParameter");
/* 230 */     this.cachedSerQNames.add(qName);
/* 231 */     cls = JobParameter.class;
/* 232 */     this.cachedSerClasses.add(cls);
/* 233 */     this.cachedSerFactories.add(beansf);
/* 234 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 236 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobRepositoryDestination");
/* 237 */     this.cachedSerQNames.add(qName);
/* 238 */     cls = JobRepositoryDestination.class;
/* 239 */     this.cachedSerClasses.add(cls);
/* 240 */     this.cachedSerFactories.add(beansf);
/* 241 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 243 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobSimpleTrigger");
/* 244 */     this.cachedSerQNames.add(qName);
/* 245 */     cls = JobSimpleTrigger.class;
/* 246 */     this.cachedSerClasses.add(cls);
/* 247 */     this.cachedSerFactories.add(beansf);
/* 248 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 250 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobSummary");
/* 251 */     this.cachedSerQNames.add(qName);
/* 252 */     cls = JobSummary.class;
/* 253 */     this.cachedSerClasses.add(cls);
/* 254 */     this.cachedSerFactories.add(beansf);
/* 255 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 257 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "JobTrigger");
/* 258 */     this.cachedSerQNames.add(qName);
/* 259 */     cls = JobTrigger.class;
/* 260 */     this.cachedSerClasses.add(cls);
/* 261 */     this.cachedSerFactories.add(beansf);
/* 262 */     this.cachedDeserFactories.add(beandf);
/*     */     
/* 264 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "ResultSendType");
/* 265 */     this.cachedSerQNames.add(qName);
/* 266 */     cls = ResultSendType.class;
/* 267 */     this.cachedSerClasses.add(cls);
/* 268 */     this.cachedSerFactories.add(enumsf);
/* 269 */     this.cachedDeserFactories.add(enumdf);
/*     */     
/* 271 */     qName = new QName("http://www.jasperforge.org/jasperserver/ws", "RuntimeJobState");
/* 272 */     this.cachedSerQNames.add(qName);
/* 273 */     cls = RuntimeJobState.class;
/* 274 */     this.cachedSerClasses.add(cls);
/* 275 */     this.cachedSerFactories.add(enumsf);
/* 276 */     this.cachedDeserFactories.add(enumdf);
/*     */   }
/*     */   
/*     */   protected Call createCall() throws RemoteException
/*     */   {
/*     */     try {
/* 282 */       Call _call = super._createCall();
/* 283 */       if (this.maintainSessionSet) {
/* 284 */         _call.setMaintainSession(this.maintainSession);
/*     */       }
/* 286 */       if (this.cachedUsername != null) {
/* 287 */         _call.setUsername(this.cachedUsername);
/*     */       }
/* 289 */       if (this.cachedPassword != null) {
/* 290 */         _call.setPassword(this.cachedPassword);
/*     */       }
/* 292 */       if (this.cachedEndpoint != null) {
/* 293 */         _call.setTargetEndpointAddress(this.cachedEndpoint);
/*     */       }
/* 295 */       if (this.cachedTimeout != null) {
/* 296 */         _call.setTimeout(this.cachedTimeout);
/*     */       }
/* 298 */       if (this.cachedPortName != null) {
/* 299 */         _call.setPortName(this.cachedPortName);
/*     */       }
/* 301 */       Enumeration keys = this.cachedProperties.keys();
/* 302 */       while (keys.hasMoreElements()) {
/* 303 */         String key = (String)keys.nextElement();
/* 304 */         _call.setProperty(key, this.cachedProperties.get(key));
/*     */       }
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 311 */       synchronized (this) {
/* 312 */         if (firstCall())
/*     */         {
/* 314 */           _call.setSOAPVersion(SOAPConstants.SOAP11_CONSTANTS);
/* 315 */           _call.setEncodingStyle("http://schemas.xmlsoap.org/soap/encoding/");
/* 316 */           for (int i = 0; i < this.cachedSerFactories.size(); i++) {
/* 317 */             Class cls = (Class)this.cachedSerClasses.get(i);
/* 318 */             QName qName = (QName)this.cachedSerQNames.get(i);
/*     */             
/* 320 */             Object x = this.cachedSerFactories.get(i);
/* 321 */             if ((x instanceof Class)) {
/* 322 */               Class sf = (Class)this.cachedSerFactories.get(i);
/*     */               
/* 324 */               Class df = (Class)this.cachedDeserFactories.get(i);
/*     */               
/* 326 */               _call.registerTypeMapping(cls, qName, sf, df, false);
/*     */             }
/* 328 */             else if ((x instanceof javax.xml.rpc.encoding.SerializerFactory)) {
/* 329 */               org.apache.axis.encoding.SerializerFactory sf = (org.apache.axis.encoding.SerializerFactory)this.cachedSerFactories.get(i);
/*     */               
/* 331 */               DeserializerFactory df = (DeserializerFactory)this.cachedDeserFactories.get(i);
/*     */               
/* 333 */               _call.registerTypeMapping(cls, qName, sf, df, false);
/*     */             }
/*     */           }
/*     */         }
/*     */       }
/* 338 */       return _call;
/*     */     }
/*     */     catch (Throwable _t) {
/* 341 */       throw new AxisFault("Failure trying to get the Call object", _t);
/*     */     }
/*     */   }
/*     */   
/*     */   public void deleteJob(long id) throws RemoteException {
/* 346 */     if (this.cachedEndpoint == null) {
/* 347 */       throw new NoEndPointException();
/*     */     }
/* 349 */     Call _call = createCall();
/* 350 */     _call.setOperation(_operations[0]);
/* 351 */     _call.setUseSOAPAction(true);
/* 352 */     _call.setSOAPActionURI("");
/* 353 */     _call.setSOAPVersion(SOAPConstants.SOAP11_CONSTANTS);
/* 354 */     _call.setOperationName(new QName("http://www.jasperforge.org/jasperserver/ws", "deleteJob"));
/*     */     
/* 356 */     setRequestHeaders(_call);
/* 357 */     setAttachments(_call);
/* 358 */     try { Object _resp = _call.invoke(new Object[] { new Long(id) });
/*     */       
/* 360 */       if ((_resp instanceof RemoteException)) {
/* 361 */         throw ((RemoteException)_resp);
/*     */       }
/* 363 */       extractAttachments(_call);
/*     */     } catch (AxisFault axisFaultException) {
/* 365 */       throw axisFaultException;
/*     */     }
/*     */   }
/*     */   
/*     */   public void deleteJobs(long[] ids) throws RemoteException {
/* 370 */     if (this.cachedEndpoint == null) {
/* 371 */       throw new NoEndPointException();
/*     */     }
/* 373 */     Call _call = createCall();
/* 374 */     _call.setOperation(_operations[1]);
/* 375 */     _call.setUseSOAPAction(true);
/* 376 */     _call.setSOAPActionURI("");
/* 377 */     _call.setSOAPVersion(SOAPConstants.SOAP11_CONSTANTS);
/* 378 */     _call.setOperationName(new QName("http://www.jasperforge.org/jasperserver/ws", "deleteJobs"));
/*     */     
/* 380 */     setRequestHeaders(_call);
/* 381 */     setAttachments(_call);
/* 382 */     try { Object _resp = _call.invoke(new Object[] { ids });
/*     */       
/* 384 */       if ((_resp instanceof RemoteException)) {
/* 385 */         throw ((RemoteException)_resp);
/*     */       }
/* 387 */       extractAttachments(_call);
/*     */     } catch (AxisFault axisFaultException) {
/* 389 */       throw axisFaultException;
/*     */     }
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public Job getJob(long id)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 58	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 176	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 177	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 178	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_3
/*     */     //   20: aload_3
/*     */     //   21: getstatic 26	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_2
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 179	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_3
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 180	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_3
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 181	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_3
/*     */     //   41: getstatic 160	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 161	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_3
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 29
/*     */     //   54: ldc 34
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 182	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_3
/*     */     //   64: invokevirtual 183	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_3
/*     */     //   69: invokevirtual 184	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_3
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 185	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: new 186	java/lang/Long
/*     */     //   82: dup
/*     */     //   83: lload_1
/*     */     //   84: invokespecial 187	java/lang/Long:<init>	(J)V
/*     */     //   87: aastore
/*     */     //   88: invokevirtual 188	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   91: astore 4
/*     */     //   93: aload 4
/*     */     //   95: instanceof 189
/*     */     //   98: ifeq +9 -> 107
/*     */     //   101: aload 4
/*     */     //   103: checkcast 189	java/rmi/RemoteException
/*     */     //   106: athrow
/*     */     //   107: aload_0
/*     */     //   108: aload_3
/*     */     //   109: invokevirtual 190	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   112: aload 4
/*     */     //   114: checkcast 191	com/jaspersoft/jasperserver/ws/scheduling/Job
/*     */     //   117: areturn
/*     */     //   118: astore 5
/*     */     //   120: aload 4
/*     */     //   122: getstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   125: ifnonnull +15 -> 140
/*     */     //   128: ldc 37
/*     */     //   130: invokestatic 33	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   133: dup
/*     */     //   134: putstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   137: goto +6 -> 143
/*     */     //   140: getstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   143: invokestatic 193	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   146: checkcast 191	com/jaspersoft/jasperserver/ws/scheduling/Job
/*     */     //   149: areturn
/*     */     //   150: astore 4
/*     */     //   152: aload 4
/*     */     //   154: athrow
/*     */     // Line number table:
/*     */     //   Java source line #394	-> byte code offset #0
/*     */     //   Java source line #395	-> byte code offset #7
/*     */     //   Java source line #397	-> byte code offset #15
/*     */     //   Java source line #398	-> byte code offset #20
/*     */     //   Java source line #399	-> byte code offset #29
/*     */     //   Java source line #400	-> byte code offset #34
/*     */     //   Java source line #401	-> byte code offset #40
/*     */     //   Java source line #402	-> byte code offset #47
/*     */     //   Java source line #404	-> byte code offset #62
/*     */     //   Java source line #405	-> byte code offset #67
/*     */     //   Java source line #406	-> byte code offset #72
/*     */     //   Java source line #408	-> byte code offset #93
/*     */     //   Java source line #409	-> byte code offset #101
/*     */     //   Java source line #412	-> byte code offset #107
/*     */     //   Java source line #414	-> byte code offset #112
/*     */     //   Java source line #415	-> byte code offset #118
/*     */     //   Java source line #416	-> byte code offset #120
/*     */     //   Java source line #419	-> byte code offset #150
/*     */     //   Java source line #420	-> byte code offset #152
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	155	0	this	ReportSchedulerSoapBindingStub
/*     */     //   0	155	1	id	long
/*     */     //   19	90	3	_call	Call
/*     */     //   91	30	4	_resp	Object
/*     */     //   150	3	4	axisFaultException	AxisFault
/*     */     //   118	3	5	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   112	117	118	java/lang/Exception
/*     */     //   72	117	150	org/apache/axis/AxisFault
/*     */     //   118	149	150	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public Job scheduleJob(Job job)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 58	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 176	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 177	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 178	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 26	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_3
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 179	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 180	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 181	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 160	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 161	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 29
/*     */     //   54: ldc 41
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 182	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 183	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 184	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 185	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 188	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 189
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 189	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 190	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 191	com/jaspersoft/jasperserver/ws/scheduling/Job
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 37
/*     */     //   118: invokestatic 33	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   131: invokestatic 193	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 191	com/jaspersoft/jasperserver/ws/scheduling/Job
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #425	-> byte code offset #0
/*     */     //   Java source line #426	-> byte code offset #7
/*     */     //   Java source line #428	-> byte code offset #15
/*     */     //   Java source line #429	-> byte code offset #20
/*     */     //   Java source line #430	-> byte code offset #29
/*     */     //   Java source line #431	-> byte code offset #34
/*     */     //   Java source line #432	-> byte code offset #40
/*     */     //   Java source line #433	-> byte code offset #47
/*     */     //   Java source line #435	-> byte code offset #62
/*     */     //   Java source line #436	-> byte code offset #67
/*     */     //   Java source line #437	-> byte code offset #72
/*     */     //   Java source line #439	-> byte code offset #85
/*     */     //   Java source line #440	-> byte code offset #92
/*     */     //   Java source line #443	-> byte code offset #97
/*     */     //   Java source line #445	-> byte code offset #102
/*     */     //   Java source line #446	-> byte code offset #107
/*     */     //   Java source line #447	-> byte code offset #109
/*     */     //   Java source line #450	-> byte code offset #138
/*     */     //   Java source line #451	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	ReportSchedulerSoapBindingStub
/*     */     //   0	141	1	job	Job
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public Job updateJob(Job job)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 58	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 176	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 177	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 178	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 26	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_4
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 179	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_2
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 180	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_2
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 181	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_2
/*     */     //   41: getstatic 160	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 161	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_2
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 29
/*     */     //   54: ldc 44
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 182	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_2
/*     */     //   64: invokevirtual 183	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_2
/*     */     //   69: invokevirtual 184	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_2
/*     */     //   73: iconst_1
/*     */     //   74: anewarray 185	java/lang/Object
/*     */     //   77: dup
/*     */     //   78: iconst_0
/*     */     //   79: aload_1
/*     */     //   80: aastore
/*     */     //   81: invokevirtual 188	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   84: astore_3
/*     */     //   85: aload_3
/*     */     //   86: instanceof 189
/*     */     //   89: ifeq +8 -> 97
/*     */     //   92: aload_3
/*     */     //   93: checkcast 189	java/rmi/RemoteException
/*     */     //   96: athrow
/*     */     //   97: aload_0
/*     */     //   98: aload_2
/*     */     //   99: invokevirtual 190	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   102: aload_3
/*     */     //   103: checkcast 191	com/jaspersoft/jasperserver/ws/scheduling/Job
/*     */     //   106: areturn
/*     */     //   107: astore 4
/*     */     //   109: aload_3
/*     */     //   110: getstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   113: ifnonnull +15 -> 128
/*     */     //   116: ldc 37
/*     */     //   118: invokestatic 33	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   121: dup
/*     */     //   122: putstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   125: goto +6 -> 131
/*     */     //   128: getstatic 36	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$com$jaspersoft$jasperserver$ws$scheduling$Job	Ljava/lang/Class;
/*     */     //   131: invokestatic 193	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   134: checkcast 191	com/jaspersoft/jasperserver/ws/scheduling/Job
/*     */     //   137: areturn
/*     */     //   138: astore_3
/*     */     //   139: aload_3
/*     */     //   140: athrow
/*     */     // Line number table:
/*     */     //   Java source line #456	-> byte code offset #0
/*     */     //   Java source line #457	-> byte code offset #7
/*     */     //   Java source line #459	-> byte code offset #15
/*     */     //   Java source line #460	-> byte code offset #20
/*     */     //   Java source line #461	-> byte code offset #29
/*     */     //   Java source line #462	-> byte code offset #34
/*     */     //   Java source line #463	-> byte code offset #40
/*     */     //   Java source line #464	-> byte code offset #47
/*     */     //   Java source line #466	-> byte code offset #62
/*     */     //   Java source line #467	-> byte code offset #67
/*     */     //   Java source line #468	-> byte code offset #72
/*     */     //   Java source line #470	-> byte code offset #85
/*     */     //   Java source line #471	-> byte code offset #92
/*     */     //   Java source line #474	-> byte code offset #97
/*     */     //   Java source line #476	-> byte code offset #102
/*     */     //   Java source line #477	-> byte code offset #107
/*     */     //   Java source line #478	-> byte code offset #109
/*     */     //   Java source line #481	-> byte code offset #138
/*     */     //   Java source line #482	-> byte code offset #139
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	141	0	this	ReportSchedulerSoapBindingStub
/*     */     //   0	141	1	job	Job
/*     */     //   19	80	2	_call	Call
/*     */     //   84	26	3	_resp	Object
/*     */     //   138	2	3	axisFaultException	AxisFault
/*     */     //   107	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   102	106	107	java/lang/Exception
/*     */     //   72	106	138	org/apache/axis/AxisFault
/*     */     //   107	137	138	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public JobSummary[] getAllJobs()
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 58	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 176	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 177	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 178	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_1
/*     */     //   20: aload_1
/*     */     //   21: getstatic 26	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: iconst_5
/*     */     //   25: aaload
/*     */     //   26: invokevirtual 179	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   29: aload_1
/*     */     //   30: iconst_1
/*     */     //   31: invokevirtual 180	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   34: aload_1
/*     */     //   35: ldc 12
/*     */     //   37: invokevirtual 181	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   40: aload_1
/*     */     //   41: getstatic 160	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   44: invokevirtual 161	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   47: aload_1
/*     */     //   48: new 11	javax/xml/namespace/QName
/*     */     //   51: dup
/*     */     //   52: ldc 29
/*     */     //   54: ldc 46
/*     */     //   56: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   59: invokevirtual 182	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   62: aload_0
/*     */     //   63: aload_1
/*     */     //   64: invokevirtual 183	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   67: aload_0
/*     */     //   68: aload_1
/*     */     //   69: invokevirtual 184	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   72: aload_1
/*     */     //   73: iconst_0
/*     */     //   74: anewarray 185	java/lang/Object
/*     */     //   77: invokevirtual 188	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   80: astore_2
/*     */     //   81: aload_2
/*     */     //   82: instanceof 189
/*     */     //   85: ifeq +8 -> 93
/*     */     //   88: aload_2
/*     */     //   89: checkcast 189	java/rmi/RemoteException
/*     */     //   92: athrow
/*     */     //   93: aload_0
/*     */     //   94: aload_1
/*     */     //   95: invokevirtual 190	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   98: aload_2
/*     */     //   99: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   102: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   105: areturn
/*     */     //   106: astore_3
/*     */     //   107: aload_2
/*     */     //   108: getstatic 48	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:array$Lcom$jaspersoft$jasperserver$ws$scheduling$JobSummary	Ljava/lang/Class;
/*     */     //   111: ifnonnull +15 -> 126
/*     */     //   114: ldc 49
/*     */     //   116: invokestatic 33	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   119: dup
/*     */     //   120: putstatic 48	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:array$Lcom$jaspersoft$jasperserver$ws$scheduling$JobSummary	Ljava/lang/Class;
/*     */     //   123: goto +6 -> 129
/*     */     //   126: getstatic 48	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:array$Lcom$jaspersoft$jasperserver$ws$scheduling$JobSummary	Ljava/lang/Class;
/*     */     //   129: invokestatic 193	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   132: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   135: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   138: areturn
/*     */     //   139: astore_2
/*     */     //   140: aload_2
/*     */     //   141: athrow
/*     */     // Line number table:
/*     */     //   Java source line #487	-> byte code offset #0
/*     */     //   Java source line #488	-> byte code offset #7
/*     */     //   Java source line #490	-> byte code offset #15
/*     */     //   Java source line #491	-> byte code offset #20
/*     */     //   Java source line #492	-> byte code offset #29
/*     */     //   Java source line #493	-> byte code offset #34
/*     */     //   Java source line #494	-> byte code offset #40
/*     */     //   Java source line #495	-> byte code offset #47
/*     */     //   Java source line #497	-> byte code offset #62
/*     */     //   Java source line #498	-> byte code offset #67
/*     */     //   Java source line #499	-> byte code offset #72
/*     */     //   Java source line #501	-> byte code offset #81
/*     */     //   Java source line #502	-> byte code offset #88
/*     */     //   Java source line #505	-> byte code offset #93
/*     */     //   Java source line #507	-> byte code offset #98
/*     */     //   Java source line #508	-> byte code offset #106
/*     */     //   Java source line #509	-> byte code offset #107
/*     */     //   Java source line #512	-> byte code offset #139
/*     */     //   Java source line #513	-> byte code offset #140
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	142	0	this	ReportSchedulerSoapBindingStub
/*     */     //   19	76	1	_call	Call
/*     */     //   80	28	2	_resp	Object
/*     */     //   139	2	2	axisFaultException	AxisFault
/*     */     //   106	2	3	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   98	105	106	java/lang/Exception
/*     */     //   72	105	139	org/apache/axis/AxisFault
/*     */     //   106	138	139	org/apache/axis/AxisFault
/*     */   }
/*     */   
/*     */   /* Error */
/*     */   public JobSummary[] getReportJobs(String reportURI)
/*     */     throws RemoteException
/*     */   {
/*     */     // Byte code:
/*     */     //   0: aload_0
/*     */     //   1: getfield 58	org/apache/axis/client/Stub:cachedEndpoint	Ljava/net/URL;
/*     */     //   4: ifnonnull +11 -> 15
/*     */     //   7: new 176	org/apache/axis/NoEndPointException
/*     */     //   10: dup
/*     */     //   11: invokespecial 177	org/apache/axis/NoEndPointException:<init>	()V
/*     */     //   14: athrow
/*     */     //   15: aload_0
/*     */     //   16: invokevirtual 178	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:createCall	()Lorg/apache/axis/client/Call;
/*     */     //   19: astore_2
/*     */     //   20: aload_2
/*     */     //   21: getstatic 26	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:_operations	[Lorg/apache/axis/description/OperationDesc;
/*     */     //   24: bipush 6
/*     */     //   26: aaload
/*     */     //   27: invokevirtual 179	org/apache/axis/client/Call:setOperation	(Lorg/apache/axis/description/OperationDesc;)V
/*     */     //   30: aload_2
/*     */     //   31: iconst_1
/*     */     //   32: invokevirtual 180	org/apache/axis/client/Call:setUseSOAPAction	(Z)V
/*     */     //   35: aload_2
/*     */     //   36: ldc 12
/*     */     //   38: invokevirtual 181	org/apache/axis/client/Call:setSOAPActionURI	(Ljava/lang/String;)V
/*     */     //   41: aload_2
/*     */     //   42: getstatic 160	org/apache/axis/soap/SOAPConstants:SOAP11_CONSTANTS	Lorg/apache/axis/soap/SOAP11Constants;
/*     */     //   45: invokevirtual 161	org/apache/axis/client/Call:setSOAPVersion	(Lorg/apache/axis/soap/SOAPConstants;)V
/*     */     //   48: aload_2
/*     */     //   49: new 11	javax/xml/namespace/QName
/*     */     //   52: dup
/*     */     //   53: ldc 29
/*     */     //   55: ldc 51
/*     */     //   57: invokespecial 14	javax/xml/namespace/QName:<init>	(Ljava/lang/String;Ljava/lang/String;)V
/*     */     //   60: invokevirtual 182	org/apache/axis/client/Call:setOperationName	(Ljavax/xml/namespace/QName;)V
/*     */     //   63: aload_0
/*     */     //   64: aload_2
/*     */     //   65: invokevirtual 183	org/apache/axis/client/Stub:setRequestHeaders	(Lorg/apache/axis/client/Call;)V
/*     */     //   68: aload_0
/*     */     //   69: aload_2
/*     */     //   70: invokevirtual 184	org/apache/axis/client/Stub:setAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   73: aload_2
/*     */     //   74: iconst_1
/*     */     //   75: anewarray 185	java/lang/Object
/*     */     //   78: dup
/*     */     //   79: iconst_0
/*     */     //   80: aload_1
/*     */     //   81: aastore
/*     */     //   82: invokevirtual 188	org/apache/axis/client/Call:invoke	([Ljava/lang/Object;)Ljava/lang/Object;
/*     */     //   85: astore_3
/*     */     //   86: aload_3
/*     */     //   87: instanceof 189
/*     */     //   90: ifeq +8 -> 98
/*     */     //   93: aload_3
/*     */     //   94: checkcast 189	java/rmi/RemoteException
/*     */     //   97: athrow
/*     */     //   98: aload_0
/*     */     //   99: aload_2
/*     */     //   100: invokevirtual 190	org/apache/axis/client/Stub:extractAttachments	(Lorg/apache/axis/client/Call;)V
/*     */     //   103: aload_3
/*     */     //   104: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   107: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   110: areturn
/*     */     //   111: astore 4
/*     */     //   113: aload_3
/*     */     //   114: getstatic 48	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:array$Lcom$jaspersoft$jasperserver$ws$scheduling$JobSummary	Ljava/lang/Class;
/*     */     //   117: ifnonnull +15 -> 132
/*     */     //   120: ldc 49
/*     */     //   122: invokestatic 33	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:class$	(Ljava/lang/String;)Ljava/lang/Class;
/*     */     //   125: dup
/*     */     //   126: putstatic 48	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:array$Lcom$jaspersoft$jasperserver$ws$scheduling$JobSummary	Ljava/lang/Class;
/*     */     //   129: goto +6 -> 135
/*     */     //   132: getstatic 48	com/jaspersoft/jasperserver/ws/scheduling/ReportSchedulerSoapBindingStub:array$Lcom$jaspersoft$jasperserver$ws$scheduling$JobSummary	Ljava/lang/Class;
/*     */     //   135: invokestatic 193	org/apache/axis/utils/JavaUtils:convert	(Ljava/lang/Object;Ljava/lang/Class;)Ljava/lang/Object;
/*     */     //   138: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   141: checkcast 194	[Lcom/jaspersoft/jasperserver/ws/scheduling/JobSummary;
/*     */     //   144: areturn
/*     */     //   145: astore_3
/*     */     //   146: aload_3
/*     */     //   147: athrow
/*     */     // Line number table:
/*     */     //   Java source line #518	-> byte code offset #0
/*     */     //   Java source line #519	-> byte code offset #7
/*     */     //   Java source line #521	-> byte code offset #15
/*     */     //   Java source line #522	-> byte code offset #20
/*     */     //   Java source line #523	-> byte code offset #30
/*     */     //   Java source line #524	-> byte code offset #35
/*     */     //   Java source line #525	-> byte code offset #41
/*     */     //   Java source line #526	-> byte code offset #48
/*     */     //   Java source line #528	-> byte code offset #63
/*     */     //   Java source line #529	-> byte code offset #68
/*     */     //   Java source line #530	-> byte code offset #73
/*     */     //   Java source line #532	-> byte code offset #86
/*     */     //   Java source line #533	-> byte code offset #93
/*     */     //   Java source line #536	-> byte code offset #98
/*     */     //   Java source line #538	-> byte code offset #103
/*     */     //   Java source line #539	-> byte code offset #111
/*     */     //   Java source line #540	-> byte code offset #113
/*     */     //   Java source line #543	-> byte code offset #145
/*     */     //   Java source line #544	-> byte code offset #146
/*     */     // Local variable table:
/*     */     //   start	length	slot	name	signature
/*     */     //   0	148	0	this	ReportSchedulerSoapBindingStub
/*     */     //   0	148	1	reportURI	String
/*     */     //   19	81	2	_call	Call
/*     */     //   85	29	3	_resp	Object
/*     */     //   145	2	3	axisFaultException	AxisFault
/*     */     //   111	3	4	_exception	Exception
/*     */     // Exception table:
/*     */     //   from	to	target	type
/*     */     //   103	110	111	java/lang/Exception
/*     */     //   73	110	145	org/apache/axis/AxisFault
/*     */     //   111	144	145	org/apache/axis/AxisFault
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\ws\scheduling\ReportSchedulerSoapBindingStub.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */