/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.ExcludeDaysXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.TimeZoneXmlAdapter;
/*     */ import java.util.ArrayList;
/*     */ import java.util.Arrays;
/*     */ import java.util.Calendar;
/*     */ import java.util.TimeZone;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlElementWrapper;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement
/*     */ public class ReportJobCalendar
/*     */ {
/*     */   private String calendarType;
/*     */   private ReportJobCalendar baseCalendar;
/*     */   private String description;
/*     */   private TimeZone timeZone;
/*  51 */   private ArrayList<Calendar> excludeDays = new ArrayList();
/*     */   
/*     */ 
/*     */   private Boolean dataSorted;
/*     */   
/*     */ 
/*     */   private String cronExpression;
/*     */   
/*     */   private Calendar rangeStartingCalendar;
/*     */   
/*     */   private Calendar rangeEndingCalendar;
/*     */   
/*     */   private Boolean invertTimeRange;
/*     */   
/*     */   private boolean[] excludeDaysFlags;
/*     */   
/*     */ 
/*     */   public String getCalendarType()
/*     */   {
/*  70 */     return this.calendarType;
/*     */   }
/*     */   
/*     */   public void setCalendarType(String calendarType) {
/*  74 */     this.calendarType = calendarType;
/*     */   }
/*     */   
/*     */   public ReportJobCalendar getBaseCalendar() {
/*  78 */     return this.baseCalendar;
/*     */   }
/*     */   
/*     */   public void setBaseCalendar(ReportJobCalendar baseCalendar) {
/*  82 */     this.baseCalendar = baseCalendar;
/*     */   }
/*     */   
/*     */   public String getDescription() {
/*  86 */     return this.description;
/*     */   }
/*     */   
/*     */   public void setDescription(String description) {
/*  90 */     this.description = description;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(TimeZoneXmlAdapter.class)
/*  94 */   public TimeZone getTimeZone() { return this.timeZone; }
/*     */   
/*     */   public void setTimeZone(TimeZone timeZone)
/*     */   {
/*  98 */     this.timeZone = timeZone;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(ExcludeDaysXmlAdapter.class)
/*     */   public ArrayList<Calendar> getExcludeDays() {
/* 103 */     return this.excludeDays;
/*     */   }
/*     */   
/*     */   public void setExcludeDays(ArrayList<Calendar> excludeDays) {
/* 107 */     this.excludeDays = excludeDays;
/*     */   }
/*     */   
/*     */   public Boolean isDataSorted() {
/* 111 */     return this.dataSorted;
/*     */   }
/*     */   
/*     */   public void setDataSorted(Boolean dataSorted) {
/* 115 */     this.dataSorted = dataSorted;
/*     */   }
/*     */   
/*     */   public String getCronExpression() {
/* 119 */     return this.cronExpression;
/*     */   }
/*     */   
/*     */   public void setCronExpression(String cronExpression) {
/* 123 */     this.cronExpression = cronExpression;
/*     */   }
/*     */   
/*     */   public Calendar getRangeStartingCalendar() {
/* 127 */     return this.rangeStartingCalendar;
/*     */   }
/*     */   
/*     */   public void setRangeStartingCalendar(Calendar rangeStartingCalendar) {
/* 131 */     this.rangeStartingCalendar = rangeStartingCalendar;
/*     */   }
/*     */   
/*     */   public Calendar getRangeEndingCalendar() {
/* 135 */     return this.rangeEndingCalendar;
/*     */   }
/*     */   
/*     */   public void setRangeEndingCalendar(Calendar rangeEndingCalendar) {
/* 139 */     this.rangeEndingCalendar = rangeEndingCalendar;
/*     */   }
/*     */   
/*     */   public Boolean isInvertTimeRange() {
/* 143 */     return this.invertTimeRange;
/*     */   }
/*     */   
/*     */   public void setInvertTimeRange(Boolean invertTimeRange) {
/* 147 */     this.invertTimeRange = invertTimeRange;
/*     */   }
/*     */   
/*     */   @XmlElementWrapper(name="excludeDaysFlags")
/*     */   @XmlElement(name="excludeDayFlag")
/*     */   public boolean[] getExcludeDaysFlags() {
/* 153 */     return this.excludeDaysFlags;
/*     */   }
/*     */   
/*     */   public void setExcludeDaysFlags(boolean[] excludeDaysFlags) {
/* 157 */     this.excludeDaysFlags = excludeDaysFlags;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 162 */     if (this == o) return true;
/* 163 */     if (!(o instanceof ReportJobCalendar)) { return false;
/*     */     }
/* 165 */     ReportJobCalendar that = (ReportJobCalendar)o;
/*     */     
/* 167 */     if (this.baseCalendar != null ? !this.baseCalendar.equals(that.baseCalendar) : that.baseCalendar != null) return false;
/* 168 */     if (this.calendarType != null ? !this.calendarType.equals(that.calendarType) : that.calendarType != null) return false;
/* 169 */     if (this.cronExpression != null ? !this.cronExpression.equals(that.cronExpression) : that.cronExpression != null)
/* 170 */       return false;
/* 171 */     if (this.dataSorted != null ? !this.dataSorted.equals(that.dataSorted) : that.dataSorted != null) return false;
/* 172 */     if (this.description != null ? !this.description.equals(that.description) : that.description != null) return false;
/* 173 */     if (this.excludeDays != null ? !this.excludeDays.equals(that.excludeDays) : that.excludeDays != null) return false;
/* 174 */     if (!Arrays.equals(this.excludeDaysFlags, that.excludeDaysFlags)) return false;
/* 175 */     if (this.invertTimeRange != null ? !this.invertTimeRange.equals(that.invertTimeRange) : that.invertTimeRange != null)
/* 176 */       return false;
/* 177 */     if (this.rangeEndingCalendar != null ? !this.rangeEndingCalendar.equals(that.rangeEndingCalendar) : that.rangeEndingCalendar != null)
/* 178 */       return false;
/* 179 */     if (this.rangeStartingCalendar != null ? !this.rangeStartingCalendar.equals(that.rangeStartingCalendar) : that.rangeStartingCalendar != null)
/* 180 */       return false;
/* 181 */     if (this.timeZone != null ? !this.timeZone.equals(that.timeZone) : that.timeZone != null) { return false;
/*     */     }
/* 183 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 188 */     int result = this.calendarType != null ? this.calendarType.hashCode() : 0;
/* 189 */     result = 31 * result + (this.baseCalendar != null ? this.baseCalendar.hashCode() : 0);
/* 190 */     result = 31 * result + (this.description != null ? this.description.hashCode() : 0);
/* 191 */     result = 31 * result + (this.timeZone != null ? this.timeZone.hashCode() : 0);
/* 192 */     result = 31 * result + (this.excludeDays != null ? this.excludeDays.hashCode() : 0);
/* 193 */     result = 31 * result + (this.dataSorted != null ? this.dataSorted.hashCode() : 0);
/* 194 */     result = 31 * result + (this.cronExpression != null ? this.cronExpression.hashCode() : 0);
/* 195 */     result = 31 * result + (this.rangeStartingCalendar != null ? this.rangeStartingCalendar.hashCode() : 0);
/* 196 */     result = 31 * result + (this.rangeEndingCalendar != null ? this.rangeEndingCalendar.hashCode() : 0);
/* 197 */     result = 31 * result + (this.invertTimeRange != null ? this.invertTimeRange.hashCode() : 0);
/* 198 */     result = 31 * result + (this.excludeDaysFlags != null ? Arrays.hashCode(this.excludeDaysFlags) : 0);
/* 199 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 204 */     return "ReportJobCalendar{calendarType='" + this.calendarType + '\'' + ", baseCalendar=" + this.baseCalendar + ", description='" + this.description + '\'' + ", timeZone=" + this.timeZone + ", excludeDays=" + this.excludeDays + ", dataSorted=" + this.dataSorted + ", cronExpression='" + this.cronExpression + '\'' + ", rangeStartingCalendar=" + this.rangeStartingCalendar + ", rangeEndingCalendar=" + this.rangeEndingCalendar + ", invertTimeRange=" + this.invertTimeRange + ", excludeDaysFlags=" + Arrays.toString(this.excludeDaysFlags) + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\ReportJobCalendar.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */