/*     */ package com.sun.xml.bind;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class WhiteSpaceProcessor
/*     */ {
/*     */   public static String replace(String text)
/*     */   {
/*  48 */     return replace(text).toString();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static CharSequence replace(CharSequence text)
/*     */   {
/*  55 */     int i = text.length() - 1;
/*     */     
/*     */ 
/*  58 */     while ((i >= 0) && (!isWhiteSpaceExceptSpace(text.charAt(i)))) {
/*  59 */       i--;
/*     */     }
/*  61 */     if (i < 0)
/*     */     {
/*  63 */       return text;
/*     */     }
/*     */     
/*     */ 
/*  67 */     StringBuilder buf = new StringBuilder(text);
/*     */     
/*  69 */     buf.setCharAt(i--, ' ');
/*  70 */     for (; i >= 0; i--) {
/*  71 */       if (isWhiteSpaceExceptSpace(buf.charAt(i)))
/*  72 */         buf.setCharAt(i, ' ');
/*     */     }
/*  74 */     return new String(buf);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public static CharSequence trim(CharSequence text)
/*     */   {
/*  82 */     int len = text.length();
/*  83 */     int start = 0;
/*     */     
/*  85 */     while ((start < len) && (isWhiteSpace(text.charAt(start)))) {
/*  86 */       start++;
/*     */     }
/*  88 */     int end = len - 1;
/*     */     
/*  90 */     while ((end > start) && (isWhiteSpace(text.charAt(end)))) {
/*  91 */       end--;
/*     */     }
/*  93 */     if ((start == 0) && (end == len - 1)) {
/*  94 */       return text;
/*     */     }
/*  96 */     return text.subSequence(start, end + 1);
/*     */   }
/*     */   
/*     */   public static String collapse(String text) {
/* 100 */     return collapse(text).toString();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static CharSequence collapse(CharSequence text)
/*     */   {
/* 109 */     int len = text.length();
/*     */     
/*     */ 
/*     */ 
/*     */ 
/* 114 */     int s = 0;
/* 115 */     while ((s < len) && 
/* 116 */       (!isWhiteSpace(text.charAt(s))))
/*     */     {
/* 118 */       s++;
/*     */     }
/* 120 */     if (s == len)
/*     */     {
/* 122 */       return text;
/*     */     }
/*     */     
/*     */ 
/*     */ 
/* 127 */     StringBuilder result = new StringBuilder(len);
/*     */     
/* 129 */     if (s != 0) {
/* 130 */       for (int i = 0; i < s; i++)
/* 131 */         result.append(text.charAt(i));
/* 132 */       result.append(' ');
/*     */     }
/*     */     
/* 135 */     boolean inStripMode = true;
/* 136 */     for (int i = s + 1; i < len; i++) {
/* 137 */       char ch = text.charAt(i);
/* 138 */       boolean b = isWhiteSpace(ch);
/* 139 */       if ((!inStripMode) || (!b))
/*     */       {
/*     */ 
/* 142 */         inStripMode = b;
/* 143 */         if (inStripMode) {
/* 144 */           result.append(' ');
/*     */         } else {
/* 146 */           result.append(ch);
/*     */         }
/*     */       }
/*     */     }
/* 150 */     len = result.length();
/* 151 */     if ((len > 0) && (result.charAt(len - 1) == ' ')) {
/* 152 */       result.setLength(len - 1);
/*     */     }
/*     */     
/*     */ 
/*     */ 
/* 157 */     return result;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static final boolean isWhiteSpace(CharSequence s)
/*     */   {
/* 164 */     for (int i = s.length() - 1; i >= 0; i--)
/* 165 */       if (!isWhiteSpace(s.charAt(i)))
/* 166 */         return false;
/* 167 */     return true;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public static final boolean isWhiteSpace(char ch)
/*     */   {
/* 174 */     if (ch > ' ') { return false;
/*     */     }
/*     */     
/* 177 */     return (ch == '\t') || (ch == '\n') || (ch == '\r') || (ch == ' ');
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   protected static final boolean isWhiteSpaceExceptSpace(char ch)
/*     */   {
/* 187 */     if (ch >= ' ') { return false;
/*     */     }
/*     */     
/* 190 */     return (ch == '\t') || (ch == '\n') || (ch == '\r');
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\target\myautosupport\WEB-INF\lib\jaxb-impl-2.0.3.jar!\com\sun\xml\bind\WhiteSpaceProcessor.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */