/*     */ package net.rubyeye.xmemcached.command.binary;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public enum ResponseStatus
/*     */ {
/*  33 */   NO_ERROR, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  44 */   KEY_NOT_FOUND, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  55 */   KEY_EXISTS, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  66 */   VALUE_TOO_BIG, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  77 */   INVALID_ARGUMENTS, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  88 */   ITEM_NOT_STORED, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  99 */   INC_DEC_NON_NUM, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 110 */   BELONGS_TO_ANOTHER_SRV, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 121 */   AUTH_ERROR, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 132 */   AUTH_CONTINUE, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 143 */   UNKNOWN_COMMAND, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 154 */   OUT_OF_MEMORY, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 165 */   NOT_SUPPORTED, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 176 */   INTERNAL_ERROR, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 187 */   BUSY, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 199 */   TEMP_FAILURE, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 211 */   AUTH_REQUIRED, 
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 222 */   FUTHER_AUTH_REQUIRED;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private ResponseStatus() {}
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   abstract short fieldValue();
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public static ResponseStatus parseShort(short value)
/*     */   {
/* 242 */     switch (value) {
/*     */     case 0: 
/* 244 */       return NO_ERROR;
/*     */     case 1: 
/* 246 */       return KEY_NOT_FOUND;
/*     */     case 2: 
/* 248 */       return KEY_EXISTS;
/*     */     case 3: 
/* 250 */       return VALUE_TOO_BIG;
/*     */     case 4: 
/* 252 */       return INVALID_ARGUMENTS;
/*     */     case 5: 
/* 254 */       return ITEM_NOT_STORED;
/*     */     case 6: 
/* 256 */       return INC_DEC_NON_NUM;
/*     */     case 7: 
/* 258 */       return BELONGS_TO_ANOTHER_SRV;
/*     */     case 8: 
/* 260 */       return AUTH_ERROR;
/*     */     case 9: 
/* 262 */       return AUTH_CONTINUE;
/*     */     case 129: 
/* 264 */       return UNKNOWN_COMMAND;
/*     */     case 130: 
/* 266 */       return OUT_OF_MEMORY;
/*     */     case 131: 
/* 268 */       return NOT_SUPPORTED;
/*     */     case 132: 
/* 270 */       return INTERNAL_ERROR;
/*     */     case 133: 
/* 272 */       return BUSY;
/*     */     case 134: 
/* 274 */       return TEMP_FAILURE;
/*     */     case 32: 
/* 276 */       return AUTH_REQUIRED;
/*     */     case 33: 
/* 278 */       return FUTHER_AUTH_REQUIRED;
/*     */     }
/* 280 */     throw new IllegalArgumentException("Unknow Response status:" + value);
/*     */   }
/*     */   
/*     */   abstract String errorMessage();
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\asup-metamodel-client-1.0.jar!\net\rubyeye\xmemcached\command\binary\ResponseStatus.class
 * Java compiler version: 5 (49.0)
 * JD-Core Version:       0.7.1
 */